Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gdk::EventClient Class Reference

A GdkEventClient C++ wrapper class. More...

`#include <events.h>`

Inheritance diagram for Inti::Gdk::EventClient:

List of all members.

## Public Member Functions

Accessors

- GdkEventClient * gdk_event_client () const
    Get a pointer to the GdkEventClient structure.
- Atom message_type () const
    Returns the type of the message, which can be defined by the application.
- unsigned short data_format () const
    Returns the format of the data, given as the number of bits in each data element,.
- const char * char_data () const
    Returns 8-bit data.
- const short * short_data () const
    Returns 16-bit data.
- const long * long_data () const
    Returns 32-bit data.

## Detailed Description

A GdkEventClient C++ wrapper class.

A Client event is sent by another client application.

The type of event is CLIENT_EVENT.

The documentation for this class was generated from the following file:

- events.h

Main Page - Footer